\begin{frame}
	\begin{columns}[c]
		\begin{column}{0.5\textwidth}
			\includegraphics[width=0.9\columnwidth]{figures/accounting.jpg}
		\end{column}
		\begin{column}{0.5\textwidth}
			\begin{displayquote}
				\includegraphics[width=0.9\columnwidth]{figures/connections.jpg}
			\end{displayquote}
		\end{column}
	\end{columns}
	\pause
	ISO/IEC/IEEE 42010:2011 defines \emph{architecture} as
	\begin{quote}
		\alert{fundamental concepts or properties of a system in its environment embodied in its elements, relationships, and in the principles of its design and evolution}.
	\end{quote}
\end{frame}

\begin{frame}{What is an Enterprise Architecture (EA)?}
	\begin{columns}[c]
		\begin{column}{0.25\textwidth}
			\center
			\includegraphics[width=\columnwidth]{figures/idea.pdf}
			{\Huge Idea}
		\end{column}
		\begin{column}{0.50\textwidth}
			\center
			{\fontsize{300}{300} $\longrightarrow$}
			\only<2-6>{
			 \begin{itemize}[<+- | alert@+>]
    			\item {strategic plans}
   				\item {business mission}
   				\item {resource management}
   				\item {life cycle planning} 
   				\item {systems-/software reengineering}
  			\end{itemize}
  			}      
		\end{column}

		\begin{column}{0.25\textwidth}
			\center
			\includegraphics[width=\columnwidth ]{figures/project.pdf}
			{\Huge Project}
		\end{column}

	\end{columns}		
\end{frame}


\begin{frame}{What is an Enterprise Architecture (EA)?}
	\center
	\begin{figure}
		\includegraphics[width=\textwidth]{figures/ea_reference_model_flat.pdf}
		%\caption{\tiny \cite{dragon1_ea_reference_model_flat} }
	\end{figure}
\end{frame}

\begin{frame}{What is an Enterprise Architecture (EA)?}
	\center
	\begin{figure}
		\includegraphics[height=0.9\textheight]{figures/ea_reference_model_layers.pdf}
		%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
	\end{figure}
\end{frame}


\begin{frame}{Modeling EAs}
	\center
	\only<1-3> {
		\begin{columns}[c]
			\begin{column}{0.4\textwidth}
				\only<1>{
				\begin{figure}
				\includegraphics[height=0.7\textheight]{figures/ea_reference_model_layers.pdf}
				%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
				\end{figure}
				}
				\only<2-3>{
				\begin{figure}
				\includegraphics[height=0.7\textheight]{figures/ea_reference_model_layers_alpha.pdf}
				%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
				\end{figure}
				}
			\end{column}
			\begin{column}{0.01\textwidth}
				\only<2-3>{
				 \fontsize{300}{300} $\Rightarrow $
				 }
			\end{column}
			
			\begin{column}{0.50\textwidth}
				\only<2>{
				\begin{figure}
				\includegraphics[width=1.1\textwidth]{figures/graph_model_concrete_1.pdf}
				%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
				\end{figure}
				}
				\only<3>{
				\begin{figure}
				\includegraphics[width=1.1\textwidth]{figures/graph_model_concrete_2.pdf}
				%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
				\end{figure}
				}
			\end{column}

		\end{columns}
	}
	
	
\end{frame}

\begin{frame}{Modeling EAs}
	\only<1>{
		\begin{figure}
			\includegraphics[width=0.7\textwidth]{figures/graph_model_concrete_4_1.pdf}
			%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
		\end{figure}
	}
	\only<2>{
		\begin{figure}
			\includegraphics[width=0.7\textwidth]{figures/graph_model_concrete_4_2.pdf}
			%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
		\end{figure}
	}
	\only<3>{
		\begin{figure}
			\includegraphics[width=0.7\textwidth]{figures/graph_model_concrete_4_3.pdf}
			%\caption{\tiny \cite{dragon1_ea_reference_model_layers} }
		\end{figure}
	}
	
\end{frame}
